### Method

# Ide FrameAddin set_page

#### Declaration

    void
    ide_frame_addin_set_page (
      IdeFrameAddin* self,
      IdePage* page
    )

#### Description

This virtual method is called whenever the active page changes in the `IdePage`. Plugins may want to alter what controls are displayed on the frame based on the current page.

Available since: | 3.32

#### Parameters

`page` | `IdePage`
| An `IdePage` or `NULL`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.